# $Revision: 1.24 $, $Date: 2011/05/10 17:14:00 $
Summary:	C++ Class Library for Numbers
Summary(pl.UTF-8):	Biblioteka klas C++ dla liczb
Name:		cln
Version:	1.3.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftpthep.physik.uni-mainz.de/pub/gnu/%{name}-%{version}.tar.bz2
# Source0-md5:	d897cce94d9c34d106575ed4ec865d71
Patch0:		%{name}-info.patch
URL:		http://www.ginac.de/CLN/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.10
BuildRequires:	gmp-devel >= 3.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts-latex
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-metafont
BuildRequires:	texconfig
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
Requires:	gmp >= 3.0
Obsoletes:	libcln2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# won't work with -O0 because of static const initialization loops
%define		debugcflags	-O1 -g

%description
A GPLed collection of C++ math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory and
speed efficient library.

%description -l pl.UTF-8
Objęty licencją GPL zbiór klas i funkcji matematycznych C++ dający
wydajność, bezpieczne typy i składnię algebraiczną.

%package devel
Summary:	Development files for programs using the CLN library
Summary(pl.UTF-8):	Pliki do programowania z użyciem biblioteki CLN
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gmp-devel >= 3.0
Requires:	libstdc++-devel
Obsoletes:	libcln2-devel

%description devel
This package is necessary if you wish to develop software based on the
CLN library.

%description devel -l pl.UTF-8
Ten pakiet jest niezbędny do tworzenia oprogramowania opartego na
bibliotece CLN.

%package static
Summary:	Static CLN library
Summary(pl.UTF-8):	Statyczna biblioteka CLN
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CLN library.

%description static -l pl.UTF-8
Statyczna biblioteka CLN.

%prep
%setup -q
%patch0 -p1

rm -f m4/libtool.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/{Makefile,*.cc} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/pi
%attr(755,root,root) %{_libdir}/libcln.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcln.so.6
%{_mandir}/man1/pi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcln.so
%{_libdir}/libcln.la
%{_includedir}/cln
%{_infodir}/cln.info*
%{_pkgconfigdir}/cln.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcln.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cln.spec,v $
Revision 1.24  2011/05/10 17:14:00  qboosh
- updated to 1.3.2

Revision 1.23  2010/11/14 18:21:08  qboosh
- package pi example (installed by default)
- updated ac/am BRs

Revision 1.22  2010/03/29 07:08:32  arekm
- release 2

Revision 1.21  2009/12/15 15:57:30  sls
- ver. 1.3.1
- soname changed

Revision 1.20  2009/10/20 23:05:17  shadzik
- BR: texconfig
- rel 2

Revision 1.19  2008/08/30 22:25:15  qboosh
- updated to 1.2.2

Revision 1.18  2008/02/09 03:36:51  qboosh
- updated to 1.2.0 (new soname)
- updated info patch

Revision 1.17  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.16  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.14  2006/08/27 13:52:09  qboosh
- updated to 1.1.13

Revision 1.13  2005/11/28 00:42:12  qboosh
- updated to 1.1.11

Revision 1.12  2005/10/28 06:04:49  qboosh
- removed obsolete link patch

Revision 1.11  2005/10/28 05:36:02  qboosh
- updated to 1.1.10 (note: SONAME has changed)

Revision 1.10  2005/05/30 20:56:51  zbyniu
- BR: tetex-, texinfo-texi2dvi

Revision 1.9  2004/12/20 18:58:07  qboosh
- BR: texinfo

Revision 1.8  2004/11/06 17:38:49  qboosh
- updated to 1.1.9

Revision 1.7  2004/11/01 02:24:15  qboosh
- gmp version

Revision 1.6  2004/08/03 18:06:55  qboosh
- debugcflags -O1 (crashes if built with -O0)

Revision 1.5  2004/08/02 22:36:46  qboosh
- updated to 1.1.8, added info,link patches, -devel deps

Revision 1.4  2004/06/26 23:47:33  grzegol
- updated to 1.1.7

Revision 1.3  2003/11/11 02:31:00  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.1  2003/06/18 12:42:33  qboosh
- taken from mdk contrib and rewritten
